linux-ec2: 2.6.32-348.54 -proposed tracker

Bug #1046656 reported by Brad Figg on 2012-09-06
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Unassigned
Prepare-package
Undecided
Stefan Bader
Prepare-package-meta
Undecided
Luis Henriques
Promote-to-proposed
Undecided
Adam Conrad
Promote-to-security
Undecided
Adam Conrad
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Upload-to-ppa-dnu
Undecided
Luis Henriques
Verification-testing
Undecided
Canonical Kernel Team
linux-ec2 (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned

Bug Description

This bug is for tracking the <version to be filled> upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Thursday, 06. September 2012 04:45 UTC
kernel-stable-Certification-testing-end:Thursday, 06. September 2012 05:01 UTC
kernel-stable-Prepare-package-end:Friday, 07. September 2012 12:16 UTC
kernel-stable-Promote-to-proposed-start:Friday, 07. September 2012 12:16 UTC
kernel-stable-Promote-to-proposed-end:Friday, 07. September 2012 22:46 UTC
kernel-stable-Verification-testing-start:Friday, 07. September 2012 23:47 UTC
kernel-stable-Security-signoff-start:Monday, 10. September 2012 14:32 UTC
kernel-stable-Verification-testing-end:Monday, 10. September 2012 14:32 UTC
kernel-stable-Regression-testing-start:Monday, 10. September 2012 14:32 UTC
kernel-stable-Regression-testing-end:Tuesday, 11. September 2012 20:16 UTC
kernel-stable-Security-signoff-end:Friday, 14. September 2012 22:15 UTC
kernel-stable-Promote-to-updates-start:Sunday, 16. September 2012 21:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 18. September 2012 01:47 UTC
kernel-stable-Promote-to-updates-end:Tuesday, 18. September 2012 01:47 UTC

This tracking bug was opened to be worked from linux-2.6.32-43.97 update (bug 1045405)

tags: added: kernel-release-tracking-bug
Changed in linux-ec2 (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2012-09-06
description: updated
Stefan Bader (smb) on 2012-09-07
summary: - linux-ec2: <version to be filled> -proposed tracker
+ linux-ec2: 2.6.32-348.54 -proposed tracker

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Adam Conrad (adconrad) wrote :

Accepted to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2012-09-07
description: updated
Brad Figg (brad-figg) on 2012-09-07
description: updated
Luis Henriques (henrix) wrote :

All SRUs verified, moving to testing.

Brad Figg (brad-figg) on 2012-09-10
description: updated
C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-09-11
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-09-14
description: updated
Brad Figg (brad-figg) on 2012-09-16
description: updated

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ec2 - 2.6.32-348.54

---------------
linux-ec2 (2.6.32-348.54) lucid-proposed; urgency=low

  [ Stefan Bader ]

  * Rebased to Ubuntu-2.6.32-43.97
  * SAUCE: EC2: Backport changes to limit GSO segments
    - LP: #1037456
    - CVE-2012-3412
  * Release Tracking Bug
    - LP: #1046656

  [ Ubuntu: 2.6.32-43.97 ]

  * rds: set correct msg_namelen
    - LP: #1031112
    - CVE-2012-3430
  * eCryptfs: Initialize empty lower files when opening them
    - LP: #911507
  * net: Allow driver to limit number of GSO segments per skb
    - LP: #1037456
    - CVE-2012-3412
  * tcp: do not scale TSO segment size with reordering degree
    - LP: #1037456
    - CVE-2012-3412
  * tcp: Apply device TSO segment limit earlier
    - LP: #1037456
    - CVE-2012-3412
  * sfc: Replace some literal constants with EFX_PAGE_SIZE/EFX_BUF_SIZE
    - LP: #1037456
    - CVE-2012-3412
  * sfc: Fix maximum number of TSO segments and minimum TX queue size
    - LP: #1037456
    - CVE-2012-3412
  * mm: Hold a file reference in madvise_remove
    - LP: #1042447
    - CVE-2012-3511
  * ulimit: raise default hard ulimit on number of files to 4096
    - LP: #663090
 -- Stefan Bader <email address hidden> Fri, 07 Sep 2012 09:16:52 +0200

Changed in linux-ec2 (Ubuntu Lucid):
status: New → Fix Released
Adam Conrad (adconrad) wrote :

Released to -updates and -security.

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
Changed in linux-ec2 (Ubuntu):
status: In Progress → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers